Amplify APIReference
Update an Existing PromotedLinks Status
PUT
/promotedLinks/{id}To update a PromotedLink status send a JSON with the updated enabled value for one or more PromotedLinks.
Only the following PromotedLink attributes are updatable via this endpoint:
- enabled
Authorization
obToken OB-TOKEN-V1<token>
Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
id*string
the PromotedLink ids
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
curl -X PUT "https://example.com/promotedLinks/00f4b02153ee75f3c9dc4fc128ab041962,00f4b02153ee75f3c9dc4fc128ab041963" \ -H "Content-Type: application/json" \ -d '{ "enabled": true }'Empty